読者です 読者をやめる 読者になる 読者になる

仮想化通信

日本仮想化技術株式会社の公式エンジニアブログ

AVX対応Bulldozerを搭載したマシンでHyper-Vの仮想マシンが動作しない

AMDのAVXをサポートしたBulldozerベースのMulticore ProcessorsでHyper-Vを実行した場合、「ハイパーバイザが実行されていないため、仮想マシンを起動できませんでした(en:Virtual machine could not start because the hypervisor is not running.)」というエラーが表示されて、仮想マシンが起動しません。
これはWindows Server 2008 R2およびWindows Server 2008 R2 SP1において、AVXをサポートしたBulldozerベースのCPUがサポートされていないためこのような問題が起きるようです。
この問題を解決するには以下のパッチを当てるか回避策を実行する必要があります。 http://support.microsoft.com/kb/2568088/en-us

ちなみに弊社の環境ではこのパッチを適用後、BulldozerベースのCPUを搭載したマシンでHyper-V仮想マシンが正常に動作することを確認しています。